--- Source: https://docs.microblink.com/platform/api/user-profiles Title: Working with user profiles Description: Query and filter aggregated user profiles and their verification history via the Agent API --- # Working with user profiles A user profile is an aggregate view of all verification transactions associated with a single end user within an organization. It lets you look up a user's complete verification history in one request, instead of searching through individual transactions. User profiles are created and updated automatically. The platform links each new transaction to a user profile based on the `userId` field in the [consent object](/platform/transaction-consent). Transactions that share the same `userId` within the same organization are grouped under one user profile. :::note[Regions] Code examples here use the `eu` region. Use the appropriate [region](/platform/api/overview#region) for your deployment. ::: ## List user profiles {/* #list */} Retrieve a paginated list of user profiles for an organization. You can find your organization's ID in the URL when browsing the Platform: ``` https://platform.microblink.com/.../organization//... ``` ### Request ``` GET /agent/api/v1/organization/{organizationId}/userprofile ``` For example: ```bash curl --url "https://api.eu.platform.microblink.com/agent/api/v1/organization/{organizationId}/userprofile" --user "$CLIENT_ID:$CLIENT_SECRET" ``` ### Response ```json { "data": [ { "id": "66d99fa9edc165df54072f9a", "userId": "550e8400-e29b-41d4-a716-446655440000", "firstName": "Jane", "lastName": "Doe", "middleName": "", "createdOn": "2025-08-19T08:23:04.431Z", "lastActivityOn": "2025-09-14T11:05:22.100Z", "transactionCount": 1, "transactions": [ { "transactionId": "0168b58c71fa53b5c88c0caedd", "createdAt": "2025-09-14T11:05:22.100Z", "hasDocuments": true, "hasSelfies": true, "hasPaymentCards": false, "hasTrustScores": true, "hasDeviceDetails": false } ] } ], "total": 1, "hasMore": false } ``` ## Get a user profile Retrieve a single user profile by its ID. The `id` can be found in the [list IDs](#list) endpoint response. Note that `id` is not the same thing as `userId`; the first one is the identifier for a user profile, the second one is the information collected in the [consent object](/platform/transaction-consent). ### Request ``` GET /agent/api/v1/userprofile/{id} ``` For example: ```bash curl --url "https://api.eu.platform.microblink.com/agent/api/v1/userprofile/{id}" --user "$CLIENT_ID:$CLIENT_SECRET" ``` ### Response ```json { "id": "66d99fa9edc165df54072f9a", "userId": "550e8400-e29b-41d4-a716-446655440000", "firstName": "Jane", "lastName": "Doe", "middleName": "", "createdOn": "2025-08-19T08:23:04.431Z", "lastActivityOn": "2025-09-14T11:05:22.100Z", "transactionCount": 1, "transactions": [ { "transactionId": "0168b58c71fa53b5c88c0caedd", "createdAt": "2025-09-14T11:05:22.100Z", "hasDocuments": true, "hasSelfies": true, "hasPaymentCards": false, "hasTrustScores": true, "hasDeviceDetails": false } ] } ``` ## API reference Read the full list of allowed parameters and more in the [Agent API reference](/platform/api/agent). Last updated on Apr 23, 2026